#include <iostream>
#include <math.h>
#include <string>
using namespace std;
    
int main(){
    string slova;
    cin >> slova;
    char slA = slova[0], slB = slova[1];
    int pe, pt;
    cin >> pe >> pt;
    if (abs(pe - pt) > 1)
    {
        cout << "nemoguce" << endl;
        return 0;
    }
    if (slA == slB)
    {
        for (int i = 0; i < pe + pt; i=i)
        {
            cout << slA;
            i++;
        }
        return 0;
    }
    string rez;
    if (pe >= pt) {
        for (int i = 0; i < pe + pt; i=i)
        {
            if (i % 2 == 1)
            {
                rez += slA;
            }
            else
            {
                rez += slB;
            }
            if (i != 0) {
                if (rez[i] == rez[i - 1])
                {
                    if (i != 1)
                        break;
                }
            }
            i++;
        }
        cout << rez << endl;
    }
    else
    {
        rez = "";
        for (int i = 0; i < pt + pe; i=i)
        {

            if (i % 2 == 1)
            {
                rez += slB;
            }
            else
            {
                rez += slA;
            }
            if (i != 0) {
                if (rez[i] == rez[i - 1])
                {
                    if (i != 1)
                        break;
                }
            }
            i++;
        }
        cout << rez << endl;
    }
}